import { defineConfig, presetIcons} from 'unocss'
import presetWind from '@unocss/preset-wind'
import { presetRemRpx } from '@unocss-applet/preset-rem-rpx'


export default defineConfig({
  presets: [
    presetRemRpx({ baseFontSize: 16, screenWidth: 375, mode: 'rpx2rem' }),
    presetWind(),
    presetIcons({
      scale: 1.2,
      warn: true,
      extraProperties: {
        display: 'inline-block',
        'vertical-align': 'middle',
      },
    }),
  ],
  rules:[]
})